Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.webservice
Class UpdateNotificationPingsClient

    java.lang.Object
      net.sourceforge.pebble.webservice.UpdateNotificationPingsClient

    public class UpdateNotificationPingsClient

extends java.lang.Object

A simple client to ping (notify) sites like weblogs.com when this blog has been updated.

Author:
  Simon Brown

Constructor Summary
`UpdateNotificationPingsClient()`

Method Summary
`void` | `sendUpdateNotificationPing(Blog blog, java.lang.String[] sites)` Sends a weblogUpdates.ping indicating this the specified blog has recently been updated.
`void` | `sendUpdateNotificationPing(Blog blog, java.lang.String url, java.lang.String[] sites)` Sends a weblogUpdates.ping indicating this the specified blog has recently been updated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateNotificationPingsClient

    public UpdateNotificationPingsClient()

Method Detail

### sendUpdateNotificationPing

    public void sendUpdateNotificationPing(Blog blog,
                                           java.lang.String[] sites)

  Sends a weblogUpdates.ping indicating this the specified blog has recently been updated. This version sends the blog's home URL.

  Parameters:
    `blog` - the Blog representing the updated blog
    `sites` - the list of sites (URLs) to ping

### sendUpdateNotificationPing

    public void sendUpdateNotificationPing(Blog blog,
                                           java.lang.String url,
                                           java.lang.String[] sites)

  Sends a weblogUpdates.ping indicating this the specified blog has recently been updated. This version sends an arbitrary URL.

  Parameters:
    `blog` - the Blog representing the updated blog
    `url` - the URL to send the ping for
    `sites` - the list of sites (URLs) to ping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.